Subject: Re: Cake not doing rate limiting in a way it is expected to do

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 28 May 2019 18:20:29 +0200

Akshat Kakkar <[email-masked]> writes:

> It's a controlled lab setup. Users connected to eno2 and server on eno1.
> Link speed 1Gbps.
> No ingress shaping.
> Simple http download.
>
> I am having multiple rates requirement for multiple user groups, which
> I am controlling using various classes and thus using htb.

Well, CAKE has its own built-in shaper, so it hasn't seen much testing
with HTB as a parent. Theoretically it *should* work, though, as long as
CAKE is running in unlimited mode.

Could you please share your full config, and the output of `tc -s qdisc`
after a run?

Thanks,

-Toke